RDKit: RDKit::MMPA Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions
RDKit::MMPA Namespace Reference

## Namespaces
namespace | detail

## Functions
RDKIT_MMPA_EXPORT bool | fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, unsigned int maxCuts=3, unsigned int maxCutBonds=20, const std::string &pattern="[#6+0;!$(*=,#[!#6])]!@!=!#[*]")
RDKIT_MMPA_EXPORT bool | fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, unsigned int minCuts, unsigned int maxCuts, unsigned int maxCutBonds, const std::string &pattern="[#6+0;!$(*=,#[!#6])]!@!=!#[*]")
RDKIT_MMPA_EXPORT bool | fragmentMol (const ROMol &mol, std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > &result, const std::vector< unsigned int > &bondsToCut, unsigned int minCuts=1, unsigned int maxCuts=3)

## Function Documentation

## ◆ fragmentMol() [1/3]

RDKIT_MMPA_EXPORT bool RDKit::MMPA::fragmentMol | ( | const ROMol & | mol,
|  | std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > & | result,
|  | const std::vector< unsigned int > & | bondsToCut,
|  | unsigned int | minCuts = 1,
|  | unsigned int | maxCuts = 3 )

fragments a Molecule for processing with the Matched Molecular Pairs MMPA algorithm (Hussain et al)

Parameters

  mol | Molecule to fragment
  result | Vector of Core and Sidechain results from the various cuts
  bondsToCut | Vector of bond indices to use as cut points
  minCuts | Minimum number of times to cut the molecule to generate fragments.
  maxCuts | Maximum number of times to cut the molecule to generate fragments.

Returns
  true if the molecule was fragmented, false otherwise.

References RDKIT_MMPA_EXPORT.

## ◆ fragmentMol() [2/3]

RDKIT_MMPA_EXPORT bool RDKit::MMPA::fragmentMol | ( | const ROMol & | mol,
|  | std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > & | result,
|  | unsigned int | maxCuts = 3,
|  | unsigned int | maxCutBonds = 20,
|  | const std::string & | pattern = "[#6+0;!$(*=,#[!#6])]!@!=!#[*]" )

fragments a Molecule for processing with the Matched Molecular Pairs MMPA algorithm (Hussain et al)

Parameters

  mol | Molecule to fragment
  result | Vector of Core and Sidechain results from the various cuts
  maxCuts | Maximum number of times to cut the molecule to generate fragments. A max cut of 3 will fragment with 1,2 and 3 cuts.
  maxCutBonds | Set the bond limit for determining which molecules to analyze. If a molecule has more than this number of cutabble bonds, ignore.

Returns
  true if the molecule was fragmented, false otherwise.

References RDKIT_MMPA_EXPORT.

## ◆ fragmentMol() [3/3]

RDKIT_MMPA_EXPORT bool RDKit::MMPA::fragmentMol | ( | const ROMol & | mol,
|  | std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > & | result,
|  | unsigned int | minCuts,
|  | unsigned int | maxCuts,
|  | unsigned int | maxCutBonds,
|  | const std::string & | pattern = "[#6+0;!$(*=,#[!#6])]!@!=!#[*]" )

fragments a Molecule for processing with the Matched Molecular Pairs MMPA algorithm (Hussain et al)

Parameters

  mol | Molecule to fragment
  result | Vector of Core and Sidechain results from the various cuts
  minCuts | Minimum number of times to cut the molecule to generate fragments.
  maxCuts | Maximum number of times to cut the molecule to generate fragments.
  maxCutBonds | Set the bond limit for determining which molecules to analyze. If a molecule has more than this number of cutabble bonds, ignore.

Returns
  true if the molecule was fragmented, false otherwise.

References RDKIT_MMPA_EXPORT.